Bug 692157 - Providing native systemd file for upcoming F15 Feature Systemd
Providing native systemd file for upcoming F15 Feature Systemd
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sphinx (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christof Damian
Fedora Extras Quality Assurance
:
Depends On:
Blocks: SysVtoSystemd
  Show dependency treegraph
 
Reported: 2011-03-30 11:16 EDT by Michał Piotrowski
Modified: 2012-02-15 15:58 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-15 10:18:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
searchd.service (219 bytes, text/plain)
2011-03-30 11:17 EDT, Michał Piotrowski
no flags Details
Native systemd service for searchd (274 bytes, text/plain)
2012-02-14 11:45 EST, Jóhann B. Guðmundsson
no flags Details

  None (edit)
Description Michał Piotrowski 2011-03-30 11:16:29 EDT
The attached file is a native systemd file for upcoming F15 Feature [1]

Please read [2] on how to packaging and installing systemd Service files.

To learn more about Systemd daemon see [3].

To view old SysV with the new Systemd site by site see for your component see [4]

If you have any question dont hesitate to ask them on this bug report.

1.http://fedoraproject.org/wiki/Features/systemd

2.https://fedoraproject.org/wiki/Systemd_Packaging_Draft

3.http://0pointer.de/public/systemd-man/daemon.html

4.https://fedoraproject.org/wiki/User:Johannbg/QA/Systemd/compatability
Comment 1 Michał Piotrowski 2011-03-30 11:17:01 EDT
Created attachment 488791 [details]
searchd.service
Comment 2 Jon Ciesla 2012-02-13 14:41:02 EST
Christof, any objection to my making this change?
Comment 3 Christof Damian 2012-02-14 03:30:55 EST
No, but I wanted to include this in the update to sphinx 2.0.3 ( bug:789073 ). This might happen either this or next week.
Comment 4 Jon Ciesla 2012-02-14 10:21:22 EST
Would you like to do both, me to do both, me systemd and you 2.0.3. . .?  Some other permutation? :)
Comment 5 Jóhann B. Guðmundsson 2012-02-14 11:45:07 EST
Created attachment 561972 [details]
Native systemd service for searchd
Comment 6 Jóhann B. Guðmundsson 2012-02-14 11:45:45 EST
Updated unit file to reflect current systemd and rawhide...
Comment 7 Christof Damian 2012-02-14 14:27:41 EST
(In reply to comment #4)
> Would you like to do both, me to do both, me systemd and you 2.0.3. . .?  Some
> other permutation? :)

you are probably faster than me :-) if you like you can do both.
Comment 8 Jon Ciesla 2012-02-14 15:12:42 EST
I've got an update for 2.0.3 and systemd, but it won't build in rawhide.  I have a box with gcc 4.7, I'll have to play with it.  If you get it working sooner let me know.
Comment 9 Jon Ciesla 2012-02-15 10:18:13 EST
Done.
Comment 10 Christof Damian 2012-02-15 15:26:54 EST
(In reply to comment #9)
> Done.

thanks Jon.

I will push it to f17 and el6 too if that is ok with you.
Comment 11 Jon Ciesla 2012-02-15 15:35:15 EST
f17 is fine, if you request a freeze exception.  el6 doesn't have systemd.

https://fedoraproject.org/wiki/Branch_Freeze_Policy
Comment 12 Christof Damian 2012-02-15 15:52:01 EST
(In reply to comment #11)
> f17 is fine, if you request a freeze exception.  el6 doesn't have systemd.
> 
> https://fedoraproject.org/wiki/Branch_Freeze_Policy

just the update to 2.0.6 for el6.

f17 can wait a bit.

I will test the new version & update first anyway.
Comment 13 Jon Ciesla 2012-02-15 15:58:25 EST
Ah, gotcha. :)

Note You need to log in before you can comment on or make changes to this bug.